org.deidentifier.arx.test

## Class TestAnonymizationTCloseness

- java.lang.Object
- - org.deidentifier.arx.test.AbstractTest
  - - org.deidentifier.arx.test.AbstractAnonymizationTest
    - - org.deidentifier.arx.test.TestAnonymizationTCloseness

    public class TestAnonymizationTCloseness
    extends AbstractAnonymizationTest

Test for t-closeness.

Author:
  Fabian Prasser, Florian Kohlmayer

### Nested Class Summary

### Nested classes/interfaces inherited from class org.deidentifier.arx.test.AbstractAnonymizationTest

`AbstractAnonymizationTest.ARXAnonymizationTestCase`

### Nested classes/interfaces inherited from class org.deidentifier.arx.test.AbstractTest

`AbstractTest.TestMetric`

### Field Summary

### Fields inherited from class org.deidentifier.arx.test.AbstractAnonymizationTest

`name`

### Constructor Summary

Constructors
Constructor and Description
`TestAnonymizationTCloseness(AbstractAnonymizationTest.ARXAnonymizationTestCase testCase)` Creates a new instance.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.util.Collection<java.lang.Object[]>` `cases()` Returns the test cases.
`void` `test()`

### Methods inherited from class org.deidentifier.arx.test.AbstractAnonymizationTest

`getClassification, getDataObject, setUp`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestAnonymizationTCloseness

    public TestAnonymizationTCloseness(AbstractAnonymizationTest.ARXAnonymizationTestCase testCase)

Creates a new instance.

Parameters:
  `testCase` -

### Method Detail

#### cases

    public static java.util.Collection<java.lang.Object[]> cases()

Returns the test cases.

Returns:

#### test

    public void test()
              throws java.io.IOException

Overrides:
  `test` in class `AbstractAnonymizationTest`
Throws:
  `java.io.IOException`